﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace silverlightDragNDrop
{
	public class TreeViewFolder
	{

		private int _id;
		private string _Name;
		private ObservableCollection<object> children;

		public TreeViewFolder()
		{
			//It is best to always initialzie the children collection:
			children = new ObservableCollection<object>();
		}

		public int Id
		{
			get { return _id; }
			set { _id = value; }
		}
		public string Name
		{
			get { return _Name; }
			set { _Name = value; }
		}

		public bool CanCotnainEmployees
		{
			get;
			set;
		}

		// To bind the TreeView, each folder needs to have a collection with its immediate children:
		public IList<object> Children
		{
			get
			{
				return this.children;
			}
		}

	}
}
